<?php

class cStockvalorizado{




function filtrar($nom1,$nom2,$nom3,$nom4,$limit,$almid,$mar_nom){
		$sql="select * from tb_stock sto 
			inner join tb_catalogo c on c.tb_catalogo_id = sto.tb_catalogo_id
			inner join tb_producto p on p.tb_producto_id = c.tb_producto_id
			LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
			INNER JOIN tb_marca m on m.tb_marca_id = sto.tb_marca_id
			LEFT JOIN tb_unidad u ON c.tb_unidad_id=u.tb_unidad_id
			inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
			inner join tb_piso pi on pi.tb_almacen_id = sto.tb_almacen_id
			WHERE p.tb_producto_xac='1'  ";
		$sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
	

		if($almid>0)$sql.=" AND sto.tb_almacen_id = '$almid' ";
		if($cat_id>0)$sql.=" AND p.tb_categoria_id = '$cat_id' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		if($lablet!='')$sql.=" AND m.tb_marca_nom like '$lablet%' "; 
		if($limit!="")$sql.=" LIMIT 0,$limit ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	

}

?>